# Uses of Interface
com.sun.source.tree.BinaryTree

Packages that use BinaryTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of BinaryTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type BinaryTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitBinary(BinaryTree node, P p)`
Visits a `BinaryTree` node.

## Uses of BinaryTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type BinaryTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitBinary(BinaryTree node, P p)`
Visits a `BinaryTree` node.
`R`
TreeScanner.`visitBinary(BinaryTree node, P p)`
Visits a `BinaryTree` node.